Bug 500096 - general protection fault when starting haldaemon on OLPC XO
general protection fault when starting haldaemon on OLPC XO
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-05-10 21:08 EDT by Chris Ball
Modified: 2010-06-28 08:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (28.07 KB, text/plain)
2009-05-10 21:10 EDT, Chris Ball
no flags Details

  None (edit)
Description Chris Ball 2009-05-10 21:08:50 EDT
Description of problem:
When haldaemon starts up during boot, we sometimes (regularly) see:

general protection fault: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:0f.3/sound/card0/pcmC0D0c/pcm_class
...
Call Trace:
 [<cfc17320>] ? snd_pcm_proc_info_read+0x45/0x131 [snd_pcm]
 [<cfc1741f>] ? snd_pcm_stream_proc_info_read+0x13/0x15 [snd_pcm]
 [<cfafc8d8>] ? snd_info_entry_open+0x1d9/0x24b [snd]

Version-Release number of selected component (if applicable):

Rawhide, 20090510.

How reproducible:

Sporadically.

Additional info:

Since haldaemon doesn't start, X doesn't get any input devices, and the system isn't usable.  This is a recent regression, since the beta image.

Full dmesg attached.
Comment 1 Chris Ball 2009-05-10 21:10:04 EDT
Created attachment 343308 [details]
dmesg log
Comment 2 Chuck Ebbert 2009-05-11 11:33:10 EDT
You've got a series of NULL bytes with just 4 bytes of non-null insn at the faulting address:

00000000 <.text>:
   0:	9a ad 7e f0 00 00 00 	lcall  $0x0,$0xf07ead

But this is what's supposed to be there:

    3adc:       55                      push   %ebp
    3add:       89 e5                   mov    %esp,%ebp
    3adf:       57                      push   %edi
    3ae0:       56                      push   %esi
    3ae1:       53                      push   %ebx
    3ae2:       83 ec 08                sub    $0x8,%esp
    3ae5:       e8 fc ff ff ff          call   3ae6 <snd_pcm_info+0xa>
                        3ae6: R_386_PC32        mcount
    3aea:       b9 48 00 00 00          mov    $0x48,%ecx
    3aef:       89 45 ec                mov    %eax,-0x14(%ebp)

I'd guess something has gone wrong with the tracing code given the call to mcount at that address (the fault is actually at the place where the address of mcount sits.)
Comment 3 Chris Ball 2009-05-11 11:51:37 EDT
Hi Chuck,

Sure enough, there's an ftrace BUG() earlier in the dmesg:

ftrace failed to modify [<cfc19c37>] 0xcfc19c37
 actual: 00:48:ac:7e:f0

Has something like this been reported elsewhere?  Thanks.
Comment 4 Chuck Ebbert 2009-05-11 22:00:53 EDT
The stack trace is unreliable because it seems the function prologue of snd_pcm_info() never ran. And it's consistent with snd_pcm_proc_info_read() having made a call directly to the faulting address instead of to the start of the called function. A full kernel dump might be the only way to gather more evidence at this point.
Comment 5 Bug Zapper 2009-06-09 11:37:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 10:16:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:29:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.